package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingCouponSendmaRequest struct {
	/*
	   发放匿名码入参     */
	Param0 *domain.AlibabaWdkMarketingCouponSendmaCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingCouponSendmaRequest) SetParam0(v domain.AlibabaWdkMarketingCouponSendmaCommonActivityParam) *AlibabaWdkMarketingCouponSendmaRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingCouponSendmaRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingCouponSendmaRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
